Demo docs: examples are illustrative.
Referral API

List referrers

GET
/referrers

Authorization

apiKey
headerAuthorizationBearer <token>

Use a secret key such as sk_test_... in test mode or sk_live_... in production.

Query Parameters

limit?integer

Number of items to return, between 1 and 100.

Range1 <= value <= 100
Default25
cursor?string

The next_cursor from a previous response.

program_id?string

Only return referrers enrolled in this program.

Response Body

A page of referrers.

application/json
  1. response
data*array<>
has_more*boolean
next_cursor?string|null
Example Request
curl -X GET 'https://api.referralapi.example/v1/referrers'
Example Response
{  "data": [    {      "id": "ref_3kT9wQx2",      "program_id": "string",      "external_id": "string",      "email": "user@example.com",      "name": "string",      "referral_code": "MAYA-20",      "share_url": "https://acme.example/?ref=MAYA-20",      "stats": {        "clicks": 0,        "signups": 0,        "conversions": 0      },      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}